local data = UpgradesTweakData.init
function UpgradesTweakData:init(tweak_data)
	data(self, tweak_data)

	-- Hey welcome in the UpgradesTweakData file you can see that in this funcion "init(tweak_data)"
	-- I define the values Reload boost, firespeed increase, dmg boost
	-- LMGs Skills
		-- IMPORTANT INFO _multiplier is percentage {1.2, 1.5} equeals to +20% and +50%
		-- IMPORTANT INFO _addend is a simple addiction {2,4} equeals to +2 and +4

		self.values.lmg.reload_speed_multiplier = {1.2, 1.5}
		self.values.lmg.spread_index_addend = {2,4} 
		-- self.values is the value vars that contain all the category of weapon boost etc...
		-- .lmg is the category we are boosting the reload speed of and lmg so it's .lmg id is assault rifle is .assault (...I guess)
		-- .reload_speed_multiplier is the name of the boost you can check more boost in the source of the original UpgradesTweakData.lua
		-- .spread_index_addend     is the name of the boost you can check more boost in the source of the original UpgradesTweakData.lua
		
		--Later you can play with these values just remove the comment :)
		--self.values.lmg.fire_rate_multiplier = {1.20,1.4}   
		--self.values.lmg.damage_addend = {0.5}				 
		--self.values.lmg.damage_multiplier = {1.20}			 
		--self.values.lmg.extra_ammo_multiplier = {1.25,1.50}  

	self.definitions.lmg_spread_index_addend = { 
	-- lmg_spread_index_addend is name of the definition that the skilltree wil use for get the skill
	-- Check the line 64 of skilltree.lua ;)
		category = "feature", -- Info about category will be added in future
		name_id = "lmg_spread_addend", --Use an id that indify wich weapon are you editing. Info about id will be added in future
		upgrade = {
			category = "lmg", -- Like before is the weaponkind
			upgrade = "spread_index_addend", -- spread_index_addend Is where we apply our value in this case on the accuracy
			value = 1 -- Value is with value you will take in this case the first "2"
		}
	}
	-- Now you should be abbl
	self.definitions.aced_lmg_spread_index_addend = {
		category = "feature",
		name_id = "lmg_spread_addend",
		upgrade = {
			category = "lmg", -- Like before is the weaponkind
			upgrade = "spread_index_addend",-- spread_index_addend Is where we apply our value in this case on the accuracy
			value = 2 -- Value is with value you will take in this case the second "4"
		}
	}
	--[[ delete me --
	self.definitions.lmg_reload_speed = {
		category = "feature",
		name_id = "lmg_reload_speed",
		upgrade = {
			category = "lmg",
			upgrade = "reload_speed_multiplier",
			value = 1
		}
	}
	self.definitions.aced_lmg_reload_speed = {
		category = "feature",
		name_id = "aced_lmg_reload_speed",
		upgrade = {
			category = "lmg",
			upgrade = "reload_speed_multiplier",
			value = 2
		}
	}

	-- delete me :P ]]

end